Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create oauth client

POST/workspaces/{organizationId}/oauth-clients
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
redirectUrisstring<uri>[]
default: []
scopesstring[]
default: []
permissionsstring
default: "read"
Responses
201

OAuth client created

idstringrequired
organizationIdstringrequired
namestringrequired
redirectUrisstring[]required
scopesstring[]required
permissionsstringrequired
createdAtstringrequired
clientIdstringrequired
clientSecretstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/oauth-clients' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "redirectUris": [],
  "scopes": [],
  "permissions": "read"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "redirectUris": [
    "string"
  ],
  "scopes": [
    "string"
  ],
  "permissions": "string",
  "createdAt": "string",
  "clientId": "string",
  "clientSecret": "string"
}

Was this page helpful?